## evolution-data-server 1.6.3

=== libdb/dist/Makefile ===
# $Id: Makefile.in,v 1.5 2005/05/24 06:50:21 tml Exp $

srcdir=	./..
builddir=.

##################################################
# Installation directories and permissions.
##################################################
prefix=	/home/kharish/opt/gnome
exec_prefix=${prefix}
bindir=	${exec_prefix}/bin
includedir=${prefix}/include
libdir=	${exec_prefix}/lib
docdir=	$(prefix)/docs

dmode=	755
emode=	555
fmode=	444

transform=s,x,x,

##################################################
# Paths for standard user-level commands.
##################################################
SHELL=	/bin/sh
ar=	ar
chmod=	chmod
cp=	cp
ln=	ln
mkdir=	mkdir
ranlib=	/usr/bin/ranlib
rm=	rm
rpm=	
strip=	/usr/bin/strip

##################################################
# General library information.
##################################################
DEF_LIB=	$(libso_target)
DEF_LIB_CXX=	
INSTALLER=	$(LIBTOOL) --mode=install cp -p
LIBTOOL=	$(SHELL) ./libtool

POSTLINK=	$(LIBTOOL) --mode=execute true
SOLINK=		$(LIBTOOL) --mode=link cc -avoid-version
SOFLAGS=	
SOMAJOR=	4
SOVERSION=	4.1

##################################################
# C API.
##################################################
CPPFLAGS=	-I$(builddir) -I$(srcdir) -I$(srcdir)/dbinc  -D_GNU_SOURCE -D_REENTRANT
CFLAGS=	 	-c $(CPPFLAGS) -g -O0
CC=		$(LIBTOOL) --mode=compile cc
CCLINK=		$(LIBTOOL) --mode=link cc

LDFLAGS=	
LIBS=		
LIBSO_LIBS=	

libdb=		libdb.a
libso_base=	libdb
libso=		$(libso_base)-$(SOVERSION).so
libso_static=	$(libso_base)-$(SOVERSION).a
libso_target=	$(libso_base)-$(SOVERSION).la
libso_default=	$(libso_base).so
libso_major=	$(libso_base)-$(SOMAJOR).so

##################################################
# C++ API.
#
# C++ support is optional, and can be built with static or shared libraries.
##################################################
CXXFLAGS=	-c $(CPPFLAGS) -g -O0
CXX=		$(LIBTOOL) --mode=compile nocxx
CXXLINK=	$(LIBTOOL) --mode=link nocxx
XSOLINK=	$(LIBTOOL) --mode=link nocxx -avoid-version
LIBXSO_LIBS=	

libcxx=		libdb_cxx.a
libxso_base=	libdb_cxx
libxso=		$(libxso_base)-$(SOVERSION).so
libxso_static=	$(libxso_base)-$(SOVERSION).a
libxso_target=	$(libxso_base)-$(SOVERSION).la
libxso_default=	$(libxso_base).so
libxso_major=	$(libxso_base)-$(SOMAJOR).so

##################################################
# Java API.
#
# Java support is optional and requires shared librarires.
##################################################
CLASSPATH=	$(JAVA_CLASSTOP)
LIBJSO_LIBS=	

JAR=		
JAVAC=		env CLASSPATH="$(CLASSPATH)" nojavac
JAVACFLAGS=	
JAVA_CLASSTOP=	./classes
JAVA_RPCCLASSES=./classes.rpc
JAVA_SRCDIR=	$(srcdir)/java/src
JAVA_DBREL=	com/sleepycat/db
JAVA_EXREL=	com/sleepycat/examples
JAVA_RPCREL=	com/sleepycat/db/rpcserver
JAVA_DBDIR=	$(JAVA_SRCDIR)/$(JAVA_DBREL)
JAVA_EXDIR=	$(JAVA_SRCDIR)/$(JAVA_EXREL)
JAVA_RPCDIR=	$(srcdir)/rpc_server/java

libj_jarfile=	db.jar
libj_exjarfile=	dbexamples.jar
rpc_jarfile=	dbsvc.jar
libjso_base=	libdb_java
libjso=		$(libjso_base)-$(SOVERSION).so
libjso_static=	$(libjso_base)-$(SOVERSION).a
libjso_target=	$(libjso_base)-$(SOVERSION).la
libjso_default=	$(libjso_base).so
libjso_major=	$(libjso_base)-$(SOMAJOR).so
libjso_g=	$(libjso_base)-$(SOVERSION)_g.so

##################################################
# TCL API.
#
# Tcl support is optional and requires shared libraries.
##################################################
TCFLAGS=	
LIBTSO_LIBS=	
libtso_base=	libdb_tcl
libtso=		$(libtso_base)-$(SOVERSION).so
libtso_static=	$(libtso_base)-$(SOVERSION).a
libtso_target=	$(libtso_base)-$(SOVERSION).la
libtso_default=	$(libtso_base).so
libtso_major=	$(libtso_base)-$(SOMAJOR).so

##################################################
# db_dump185 UTILITY
#
# The db_dump185 application should be compiled using the system's db.h file
# (which should be a DB 1.85/1.86 include file), and the system's 1.85/1.86
# object library.  To include the right db.h, don't include -I$(builddir) on
# the compile line.  You may also need to add a local include directory and
# local libraries, for example.  Do that by adding -I options to the DB185INC
# line, and -l options to the DB185LIB line.
##################################################
DB185INC=	-c -g -O0 -I$(srcdir)  -D_GNU_SOURCE -D_REENTRANT
DB185LIB=

##################################################
# NOTHING BELOW THIS LINE SHOULD EVER NEED TO BE MODIFIED.
##################################################

##################################################
# Object and utility lists.
##################################################
C_OBJS= mut_tas.lo    \
	bt_compare.lo bt_conv.lo bt_curadj.lo bt_cursor.lo bt_delete.lo \
	bt_method.lo bt_open.lo bt_put.lo bt_rec.lo bt_reclaim.lo \
	bt_recno.lo bt_rsearch.lo bt_search.lo bt_split.lo bt_stat.lo \
	bt_upgrade.lo bt_verify.lo btree_auto.lo crdel_auto.lo \
	crdel_rec.lo db.lo db_am.lo db_auto.lo db_byteorder.lo db_cam.lo \
	db_conv.lo db_dispatch.lo db_dup.lo db_err.lo db_getlong.lo \
	db_idspace.lo db_iface.lo db_join.lo db_log2.lo db_meta.lo \
	db_method.lo db_open.lo db_overflow.lo db_pr.lo db_rec.lo \
	db_reclaim.lo db_rename.lo db_remove.lo db_ret.lo db_salloc.lo \
	db_shash.lo db_truncate.lo db_upg.lo db_upg_opd.lo db_vrfy.lo \
	db_vrfyutil.lo dbm.lo dbreg.lo dbreg_auto.lo dbreg_rec.lo \
	dbreg_util.lo env_file.lo env_method.lo env_open.lo env_recover.lo \
	env_region.lo fileops_auto.lo fop_basic.lo fop_rec.lo \
	fop_util.lo hash.lo hash_auto.lo hash_conv.lo hash_dup.lo \
	hash_func.lo hash_meta.lo hash_method.lo hash_open.lo \
	hash_page.lo hash_rec.lo hash_reclaim.lo hash_stat.lo \
	hash_upgrade.lo hash_verify.lo hmac.lo hsearch.lo lock.lo \
	lock_deadlock.lo lock_method.lo lock_region.lo lock_stat.lo \
	lock_util.lo log.lo log_archive.lo log_compare.lo log_get.lo \
	log_method.lo log_put.lo mp_alloc.lo mp_bh.lo mp_fget.lo \
	mp_fopen.lo mp_fput.lo mp_fset.lo mp_method.lo mp_region.lo \
	mp_register.lo mp_stat.lo mp_sync.lo mp_trickle.lo mutex.lo \
	os_abs.lo os_alloc.lo os_clock.lo os_config.lo os_dir.lo \
	os_errno.lo os_fid.lo os_fsync.lo os_handle.lo os_id.lo \
	os_map.lo os_method.lo os_oflags.lo os_open.lo os_region.lo \
	os_rename.lo os_root.lo os_rpath.lo os_rw.lo os_seek.lo \
	os_sleep.lo os_spin.lo os_stat.lo os_tmpdir.lo os_unlink.lo \
	qam.lo qam_auto.lo qam_conv.lo qam_files.lo qam_method.lo \
	qam_open.lo qam_rec.lo qam_stat.lo qam_upgrade.lo qam_verify.lo \
	rep_method.lo rep_record.lo rep_region.lo rep_util.lo sha1.lo \
	txn.lo txn_auto.lo txn_method.lo txn_rec.lo txn_recover.lo \
	txn_region.lo txn_stat.lo txn_util.lo xa.lo xa_db.lo xa_map.lo

CXX_OBJS=\
	cxx_db.lo cxx_dbc.lo cxx_dbt.lo cxx_env.lo cxx_except.lo \
	cxx_lock.lo cxx_logc.lo cxx_mpool.lo cxx_txn.lo

JAVA_OBJS=\
	java_Db.lo java_DbEnv.lo java_DbLock.lo java_DbLogc.lo \
	java_DbLsn.lo java_DbTxn.lo java_DbUtil.lo java_Dbc.lo \
	java_Dbt.lo \
	java_info.lo java_locked.lo java_util.lo java_stat_auto.lo

JAVA_DBSRCS=\
	$(JAVA_DBDIR)/Db.java $(JAVA_DBDIR)/DbAppendRecno.java \
	$(JAVA_DBDIR)/DbAppDispatch.java \
	$(JAVA_DBDIR)/DbBtreeCompare.java $(JAVA_DBDIR)/DbBtreePrefix.java \
	$(JAVA_DBDIR)/DbBtreeStat.java $(JAVA_DBDIR)/DbClient.java \
	$(JAVA_DBDIR)/DbConstants.java $(JAVA_DBDIR)/DbDeadlockException.java \
	$(JAVA_DBDIR)/DbDupCompare.java $(JAVA_DBDIR)/DbEnv.java \
	$(JAVA_DBDIR)/DbEnvFeedback.java $(JAVA_DBDIR)/DbErrcall.java \
	$(JAVA_DBDIR)/DbException.java $(JAVA_DBDIR)/DbFeedback.java \
	$(JAVA_DBDIR)/DbHash.java $(JAVA_DBDIR)/DbHashStat.java \
	$(JAVA_DBDIR)/DbKeyRange.java $(JAVA_DBDIR)/DbLock.java \
	$(JAVA_DBDIR)/DbLockNotGrantedException.java \
	$(JAVA_DBDIR)/DbLockRequest.java $(JAVA_DBDIR)/DbLockStat.java \
	$(JAVA_DBDIR)/DbLogc.java $(JAVA_DBDIR)/DbLogStat.java \
	$(JAVA_DBDIR)/DbLsn.java $(JAVA_DBDIR)/DbMemoryException.java \
	$(JAVA_DBDIR)/DbMpoolFStat.java $(JAVA_DBDIR)/DbMpoolStat.java \
	$(JAVA_DBDIR)/DbMultipleDataIterator.java \
	$(JAVA_DBDIR)/DbMultipleIterator.java \
	$(JAVA_DBDIR)/DbMultipleKeyDataIterator.java \
	$(JAVA_DBDIR)/DbMultipleRecnoDataIterator.java \
	$(JAVA_DBDIR)/DbOutputStreamErrcall.java \
	$(JAVA_DBDIR)/DbPreplist.java $(JAVA_DBDIR)/DbQueueStat.java \
	$(JAVA_DBDIR)/DbRepStat.java $(JAVA_DBDIR)/DbRepTransport.java \
	$(JAVA_DBDIR)/DbRunRecoveryException.java \
	$(JAVA_DBDIR)/DbSecondaryKeyCreate.java $(JAVA_DBDIR)/DbTxn.java \
	$(JAVA_DBDIR)/DbTxnStat.java \
	$(JAVA_DBDIR)/DbUtil.java $(JAVA_DBDIR)/Dbc.java $(JAVA_DBDIR)/Dbt.java

JAVA_EXSRCS=\
	$(JAVA_EXDIR)/AccessExample.java \
	$(JAVA_EXDIR)/BtRecExample.java \
	$(JAVA_EXDIR)/BulkAccessExample.java \
	$(JAVA_EXDIR)/EnvExample.java \
	$(JAVA_EXDIR)/LockExample.java \
	$(JAVA_EXDIR)/TpcbExample.java

TCL_OBJS=\
	tcl_compat.lo tcl_db.lo tcl_db_pkg.lo tcl_dbcursor.lo tcl_env.lo \
	tcl_internal.lo tcl_lock.lo tcl_log.lo tcl_mp.lo tcl_rep.lo \
	tcl_txn.lo tcl_util.lo

RPC_CLIENT_OBJS=\
	client.lo db_server_clnt.lo db_server_xdr.lo gen_client.lo \
	gen_client_ret.lo

RPC_SRV_OBJS=\
	db_server_proc.lo db_server_svc.lo db_server_util.lo \
	gen_db_server.lo

RPC_CXXSRV_OBJS=\
	db_server_cxxproc.lo db_server_cxxutil.lo db_server_svc.lo \
	gen_db_server.lo

RPC_JAVASRV_SRCS=\
	$(JAVA_RPCDIR)/DbDispatcher.java \
	$(JAVA_RPCDIR)/DbServer.java \
	$(JAVA_RPCDIR)/FreeList.java \
	$(JAVA_RPCDIR)/LocalIterator.java \
	$(JAVA_RPCDIR)/RpcDb.java \
	$(JAVA_RPCDIR)/RpcDbEnv.java \
	$(JAVA_RPCDIR)/RpcDbTxn.java \
	$(JAVA_RPCDIR)/RpcDbc.java \
	$(JAVA_RPCDIR)/Timer.java \
	$(JAVA_RPCDIR)/gen/DbServerStub.java \
	$(JAVA_RPCDIR)/gen/__db_associate_msg.java \
	$(JAVA_RPCDIR)/gen/__db_associate_reply.java \
	$(JAVA_RPCDIR)/gen/__db_bt_maxkey_msg.java \
	$(JAVA_RPCDIR)/gen/__db_bt_maxkey_reply.java \
	$(JAVA_RPCDIR)/gen/__db_bt_minkey_msg.java \
	$(JAVA_RPCDIR)/gen/__db_bt_minkey_reply.java \
	$(JAVA_RPCDIR)/gen/__db_close_msg.java \
	$(JAVA_RPCDIR)/gen/__db_close_reply.java \
	$(JAVA_RPCDIR)/gen/__db_create_msg.java \
	$(JAVA_RPCDIR)/gen/__db_create_reply.java \
	$(JAVA_RPCDIR)/gen/__db_cursor_msg.java \
	$(JAVA_RPCDIR)/gen/__db_cursor_reply.java \
	$(JAVA_RPCDIR)/gen/__db_del_msg.java \
	$(JAVA_RPCDIR)/gen/__db_del_reply.java \
	$(JAVA_RPCDIR)/gen/__db_encrypt_msg.java \
	$(JAVA_RPCDIR)/gen/__db_encrypt_reply.java \
	$(JAVA_RPCDIR)/gen/__db_extentsize_msg.java \
	$(JAVA_RPCDIR)/gen/__db_extentsize_reply.java \
	$(JAVA_RPCDIR)/gen/__db_flags_msg.java \
	$(JAVA_RPCDIR)/gen/__db_flags_reply.java \
	$(JAVA_RPCDIR)/gen/__db_get_msg.java \
	$(JAVA_RPCDIR)/gen/__db_get_reply.java \
	$(JAVA_RPCDIR)/gen/__db_h_ffactor_msg.java \
	$(JAVA_RPCDIR)/gen/__db_h_ffactor_reply.java \
	$(JAVA_RPCDIR)/gen/__db_h_nelem_msg.java \
	$(JAVA_RPCDIR)/gen/__db_h_nelem_reply.java \
	$(JAVA_RPCDIR)/gen/__db_join_msg.java \
	$(JAVA_RPCDIR)/gen/__db_join_reply.java \
	$(JAVA_RPCDIR)/gen/__db_key_range_msg.java \
	$(JAVA_RPCDIR)/gen/__db_key_range_reply.java \
	$(JAVA_RPCDIR)/gen/__db_lorder_msg.java \
	$(JAVA_RPCDIR)/gen/__db_lorder_reply.java \
	$(JAVA_RPCDIR)/gen/__db_open_msg.java \
	$(JAVA_RPCDIR)/gen/__db_open_reply.java \
	$(JAVA_RPCDIR)/gen/__db_pagesize_msg.java \
	$(JAVA_RPCDIR)/gen/__db_pagesize_reply.java \
	$(JAVA_RPCDIR)/gen/__db_pget_msg.java \
	$(JAVA_RPCDIR)/gen/__db_pget_reply.java \
	$(JAVA_RPCDIR)/gen/__db_put_msg.java \
	$(JAVA_RPCDIR)/gen/__db_put_reply.java \
	$(JAVA_RPCDIR)/gen/__db_re_delim_msg.java \
	$(JAVA_RPCDIR)/gen/__db_re_delim_reply.java \
	$(JAVA_RPCDIR)/gen/__db_re_len_msg.java \
	$(JAVA_RPCDIR)/gen/__db_re_len_reply.java \
	$(JAVA_RPCDIR)/gen/__db_re_pad_msg.java \
	$(JAVA_RPCDIR)/gen/__db_re_pad_reply.java \
	$(JAVA_RPCDIR)/gen/__db_remove_msg.java \
	$(JAVA_RPCDIR)/gen/__db_remove_reply.java \
	$(JAVA_RPCDIR)/gen/__db_rename_msg.java \
	$(JAVA_RPCDIR)/gen/__db_rename_reply.java \
	$(JAVA_RPCDIR)/gen/__db_stat_msg.java \
	$(JAVA_RPCDIR)/gen/__db_stat_reply.java \
	$(JAVA_RPCDIR)/gen/__db_sync_msg.java \
	$(JAVA_RPCDIR)/gen/__db_sync_reply.java \
	$(JAVA_RPCDIR)/gen/__db_truncate_msg.java \
	$(JAVA_RPCDIR)/gen/__db_truncate_reply.java \
	$(JAVA_RPCDIR)/gen/__dbc_close_msg.java \
	$(JAVA_RPCDIR)/gen/__dbc_close_reply.java \
