## evolution-data-server 2.30.3

=== debian/changelog ===
evolution-data-server (2.30.3-2ubuntu2.1) maverick-proposed; urgency=low

  * lp664167_de16bec_encode_auth_in_proxy_url.patch: backport another fix from
    the gnome-2.32 branch to support encoding proxy user/passwd auth parameters
    in proxy URL (LP: #664167)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 23 Nov 2010 11:18:46 -0500

evolution-data-server (2.30.3-2ubuntu2) maverick-proposed; urgency=low

  * debian/patches/107-git-consider-local-inbox-as-inbox.patch:
    - adapted from upstream git: local inbox wasn't recognized as an inbox,
      debugged with upstream shown that the consequence was POP account not
      getting notification neither indicator support in the messaging menu.
      (LP: #657837)
  * debian/patches/108-git-fix-eproxy-and-https.patch:
    - fix the authentication of https webcal through a proxy (LP: #659167)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 14 Oct 2010 14:08:13 +0200

evolution-data-server (2.30.3-2ubuntu1) maverick; urgency=low

  * Mege from debian unstable, backporting the upstream patch list
    in 2.30.3-2 + lockup fix. This fixes a lot of bugs when people find evo
    unressponding or crashing

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 27 Sep 2010 21:36:52 +0200

evolution-data-server (2.30.3-2) unstable; urgency=low

  [ Josselin Mouette ]
  * 01_imapx_lockup.patch: stolen upstream. Avoid evolution lockups when
    logging out with IDLE enabled.

  [ Yves-Alexis Perez ]
  * debian/patches:
    - 101-Bug-629714-endless-loop-in-imapx_parse_status,
      102-Bug-630135-No-UI-feedback-when-imapx-connection-fail,
      103-Bug-630150-imapx-attempts-to-connect-to-server-when-,
      104-Bug-630152-imapx_parser_thread-registers-wrong-opera,
      105-Bug-629916-imapx-fails-to-handle-errors-in-imapx_com and
      106-Bug-630149-imapx_sync-never-returns-error added, fix various issues
      with IMAP+ backend leading to endless loops.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 21 Sep 2010 21:00:52 +0200

evolution-data-server (2.30.3-1ubuntu3) maverick; urgency=low

  * debian/rules: don't strip sgid and group off of camel-lock-helper and use
    DEB_FIXPERMS_EXCLUDE instead of DEB_FIXPERMS_EXCLUDE_evolution-data-server
    since debhelper doesn't handle _<pkg> as expected (LP: #641243)

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 16 Sep 2010 23:50:04 -0500

evolution-data-server (2.30.3-1ubuntu2) maverick; urgency=low

  * debian/patches/60_google_backend_lookup.patch:
    - Fix crash when lookup address in google backend (LP: #602225)

 -- Baptiste Mille-Mathias <baptiste.millemathias@gmail.com>  Sat, 04 Sep 2010 11:26:17 +0200

evolution-data-server (2.30.3-1ubuntu1) maverick; urgency=low

  * Merge from debian unstable. Remaining changes:
    + debian/control:
      - add Vcs-Bzr tag
      - don't use libgnome
    + debian/evolution-data-server.install,
      debian/patches/45_libcamel_providers_version.patch:
      - use the upstream versioning, not a Debian-specific one
    + debian/rules:
      - don't build documentation it's shipped with the tarball
  * use dh_autoreconf now, as in debian (it's in main now)
    - remove debian/patches/90_autoreconf.patch
    - change debian/rules to include it
    - build-dep in debian/control
  * disable large file support, like in debian, which causes crashes
    (LP: #584536)
  * debian/patches/91_revert_formatted_adress.patch: removed, upstream
  * debian/patches/01_build_with_deprecated_symbols.patch:
    - remove -DGDK_DISABLE_DEPRECATED to build it

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 01 Sep 2010 18:51:26 +0200

evolution-data-server (2.30.3-1) unstable; urgency=low

  * New upstream bugfix release.
  * debian/patches:
    - 01_make-nss-db-init-more-robust dropped, included upstream
    - 02_remove-courier-imap-workaround-breaking-rename as well.
  * debian/control:
    - update standards version to 3.9.1.
  * debian/*.shlibs:
    - bump shlibs to 2.30.3.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 14 Aug 2010 13:47:40 +0200

evolution-data-server (2.30.2.1-1) unstable; urgency=low

  * New upstream bugfix release.
  * debian/patches:
    - 01_make-nss-db-init-more-robust added.                    closes: #587849
    - 02_remove-courier-imap-workaround-breaking-rename added, fix renaming on
      courier-imap servers.
  * debian/rules:
    - rename --enable-nss to -enable-ssl in configure call.
    - DEB_FIXPERMS_EXCLUDE switched to _evolution-data-server.
    - disable largefile support for now, it'll be re-enabled for squeeze+1
      cycle.                                                    closes: #588316
  * debian/control:
    - update standards version to 3.9.0.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 10 Jul 2010 14:30:12 +0200

evolution-data-server (2.30.2-1) unstable; urgency=low

  * New upstream release.
    - fix random mailbox corruption causing expunge problems.   closes: #526216
  * debian/watch:
    - update rule to order hrefs correctly.
    - install some information on bug reporting
  * debian/bug-presubj: warn user that she should report upstream issues
    directly to upstream bugzilla because of lack of time and manpower.
  * debian/patches:
    - 01_unitialized_key, 02_fix-warning-in_source_get_uri,
      03_bump-soname-libedataserver dropped, included upstream.
    - 25_mute-debug-messages updated.
    - 45_libcamel_providers_version refreshed.
  * debian/libcamel1.2-14.shlibs updated for 2.30.2.
  * debian/control:
    - bump debhelper build-dep to 7.2.3 for dh_bugfiles.
    - add build-dep on gnome-pkg-tools for gnome-get-source.mk.
  * Switch to 3.0 (quilt) format.
  * debian/rules:
    - include gnome-get-source.mk.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 23 Jun 2010 21:31:37 +0200

evolution-data-server (2.30.2-0ubuntu3) maverick; urgency=low

  * debian/control:
    libebook1.2-dev to depend on libdbus-glib-1-dev (LP: #590094)
  * Fix bzr add to include the previous patch


