=== debian/control ===
Source: evolution-data-server
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>
Uploaders: Jordi Mallach <jordi@debian.org>,
           Margarita Manterola <debian@marga.com.ar>,
           Loic Minier <lool@dooz.org>,
           Heikki Henriksen <heikkih@gmail.com>,
           Oystein Gisnas <oystein@gisnas.net>,
           Riccardo Setti <giskard@debian.org>,
           Yves-Alexis Perez <corsac@debian.org>,
           Pedro Fragoso <ember@ubuntu.com>,
           Josselin Mouette <joss@debian.org>
Standards-Version: 3.9.1
Dm-Upload-Allowed: yes
Homepage: http://www.gnome.org/projects/evolution/
Vcs-Svn: svn://svn.debian.org/svn/pkg-evolution/unstable/evolution-data-server
Vcs-Browser: http://svn.debian.org/wsvn/pkg-evolution/unstable/evolution-data-server
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/evolution-data-server/ubuntu
Build-Depends: debhelper (>= 7.2.3~),
               cdbs (>= 0.4.37),
               dh-autoreconf,
               dpkg-dev (>= 1.14.16),
               pkg-config (>= 0.16),
               flex,
               bison,
               libtool,
               intltool (>= 0.35.5),
               libdb-dev,
               libkrb5-dev,
               libldap2-dev,
               libglib2.0-dev (>= 2.16.1),
               libxml2-dev,
               libgconf2-dev,
               libnss3-dev,
               libgtk2.0-dev (>= 2.18.0),
               libsoup2.4-dev,
               libgnome-keyring-dev (>= 2.20.1),
               gtk-doc-tools,
               libsqlite3-dev (>= 3.6),
               chrpath,
               libgweather-dev (>= 2.24.5),
               libical-dev,
               libicu-dev,
               libdbus-glib-1-dev (>= 0.6),
               gperf,
               gnome-pkg-tools

Package: evolution-data-server
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution-data-server-common (= ${source:Version})
Suggests: evolution (>= 2.6.1),
          evolution-data-server-dbg (= ${binary:Version})
Replaces: evolution-data-server1.2
Conflicts: evolution (<< 2.25.90)
Description: evolution database backend server
 The data server, called "Evolution Data Server" is responsible for managing
 mail, calendar, addressbook, tasks and memo information.

Package: evolution-data-server-common
Architecture: all
Depends: ${misc:Depends}
Description: architecture independent files for Evolution Data Server
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package contains the architecture independent files needed
 by the evolution-data-server package.

Package: evolution-data-server-dev
Section: devel
Architecture: any
Depends: ${misc:Depends},
         libdbus-glib-1-dev,
         libnss3-dev,
         libnspr4-dev 
Description: Development files for evolution-data-server (metapackage)
 This package contains header files and static library of evolution-data-server.

Package: evolution-data-server-dbg
Section: debug
Priority: extra
Architecture: any
Depends: evolution-data-server (= ${binary:Version}),
         ${misc:Depends}
Description: evolution database backend server with debugging symbols
 This package contains unstripped binaries used for debugging.

Package: libedataserver1.2-13
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Utility library for evolution data servers
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package is a utility library for evolution-data-server.

Package: libedataserver1.2-dev
Section: libdevel
Architecture: any
Depends: libedataserver1.2-13 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
         libxml2-dev,
         libglib2.0-dev (>= 2.16.1),
         libgconf2-dev,
         libsoup2.4-dev
Description: Utility library for evolution data servers (development files)
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package contains header files and static library for libedataserver1.2-13.

Package: libcamel1.2-14
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: evolution (<< 2.26)
Description: The Evolution MIME message handling library
 Camel is a generic messaging library. It supports the standard
 messaging system for receiving and sending messages. It is the
 messaging backend for Evolution.
 .
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.

Package: libcamel1.2-dev
Section: libdevel
Architecture: any
Depends: libcamel1.2-14 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         libglib2.0-dev,
         libedataserver1.2-dev,
         libsqlite3-dev (>= 3.5),
         libnss3-dev,
         libnspr4-dev
Description: Development files for libcamel
 This package contains header files and static library for libcamel1.2-11
 .
 Camel is a generic messaging library. It supports the standard
 messaging system for receiving and sending messages. It is the
 messaging backend for Evolution.
 .
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.

Package: libebook1.2-9
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Client library for evolution address books
 This package is a client library for evolution addressbooks.
 .
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.

Package: libebook1.2-dev
Section: libdevel
Architecture: any
Depends: libebook1.2-9 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         libedataserver1.2-dev,
         libdbus-glib-1-dev
Description: Client library for evolution address books (development files)
 This package contains header files and static library for libebook1.2-9.
 .
 libebook is a client library for evolution addressbooks.
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.
 .

Package: libedataserverui1.2-8
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution-data-server-common (>= 2.27.0)
Description: GUI utility library for evolution data servers
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package is a GUI utility library for evolution-data-server.

Package: libedataserverui1.2-dev
Section: libdevel
Architecture: any
Depends: libedataserverui1.2-8 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         libgtk2.0-dev,
         libedataserver1.2-dev,
         libebook1.2-dev,
Description: GUI utility library for evolution data servers (development files)
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package contains header files and static library for
 libedataserverui1.2-8.

Package: libedata-book1.2-2
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Backend library for evolution address books
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.
 .
 This package is a backend library for evolution address book.

Package: libedata-book1.2-dev
Section: libdevel
Architecture: any
Depends: libedata-book1.2-2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         libedataserver1.2-dev,
         libebook1.2-dev,
         libdbus-glib-1-dev
Description: Backend library for evolution address books (development files)
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.
 .
 This package contains header files and static library for libedata-book1.2-2

Package: libecal1.2-7
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Client library for evolution calendars
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.
 .
 This package is a client library for evolution calendar.

Package: libecal1.2-dev
Section: libdevel
Architecture: any
Depends: libecal1.2-7 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         libical-dev (>= 0.43),
         libedataserver1.2-dev,
         libdbus-glib-1-dev
Description: Client library for evolution calendars (development files)
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.
 .
 This package contains header files and static library for libecal1.2-7.

Package: libedata-cal1.2-7
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Backend library for evolution calendars
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.
 .
 This package is a backend library for evolution calendar.

Package: libedata-cal1.2-dev
Section: libdevel
Architecture: any
Depends: libedata-cal1.2-7 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         libdbus-glib-1-dev,
         libical-dev (>= 0.43),
         libedataserver1.2-dev,
         libecal1.2-dev
Description: Backend library for evolution calendars (development files)
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.
 .
 This package contains header files and static library for libedata-cal1.2-7.

Package: libegroupwise1.2-13
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Client library for accessing groupwise POA through SOAP interface
 This package is a client library for accessing groupwise POA through SOAP
 interface of Evolution.
 .
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.

Package: libegroupwise1.2-dev
Section: libdevel
Architecture: any
Depends: libegroupwise1.2-13 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         libsoup2.4-dev
Description: Development files for libegroupwise
 This package contains header files and static library for libegroupwise1.2-13.
 .
 libegroupwise is client library for accessing groupwise POA through SOAP
 interface of Evolution.
 .
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.

Package: libgdata1.2-1
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Client library for accessing Google POA through SOAP interface
 This package is a client library to access the Google Data APIs through a 
 SOAP interface.
 .
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.

Package: libgdata1.2-dev
Section: libdevel
Architecture: any
Depends: libgdata1.2-1 (= ${binary:Version}),
         ${misc:Depends},
         libsoup2.4-dev
Description: Client library for accessing Google POA (development files)
 This package contains header files and static library for
 libgdata1.2-1.
 .
 libgdata is a client library to access the Google Data APIs through a
 SOAP interface.
 .
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.

Package: libgdata-google1.2-1
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Client library for accessing Google POA through SOAP interface
 This package is a client library to access Google services through a SOAP
 interface.
 .
