## evolution-data-server 2.32.2

=== debian/changelog ===
evolution-data-server (2.32.2-0ubuntu2) natty; urgency=low

  [ Krzysztof Klimonda ]
  * debian/control:
    - updated libgtk2.0-dev dependency. 

  [ Mathieu Trudel-Lapierre ]
  * debian/patches/03-gdata-0.7-port.patch: Correct libgdata 0.7 port patch to
    properly set the updated-min property for Google contacts. (LP: #720434)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 06 Apr 2011 16:26:11 -0400

evolution-data-server (2.32.2-0ubuntu1) natty; urgency=low

  * New upstream release
  * debian/patches/01_various_linking_issues.patch:
  * debian/patches/02_fix_sources_migration.patch:
  * debian/patches/199-git-backport-2.32.1-b08a6a1_to_2d0f4a3.patch:
  * debian/patches/199-git-backport-2.32.1-to-b08a6a1.patch:
  * debian/patches/199-git-skip-empty-cache-files-ee21a86.patch:
    - Fixed upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 07 Feb 2011 14:11:56 +1100

evolution-data-server (2.32.1-0ubuntu5) natty; urgency=low

  * debian/control: Drop libgdata7 dependency, this doesn't exist any more.
    Package builds against libgdata11 now.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sat, 29 Jan 2011 17:18:19 +0100

evolution-data-server (2.32.1-0ubuntu4) natty; urgency=low

  * debian/patches/199-git-backport-2.32.1-b08a6a1_to_2d0f4a3: backport patches
    from the git gnome-2-32 branch (commit b08a6a1 to 2d0f4a3):
    - Bug #638948 - NNTP folder doesn't implement Expunge
    - Crash on bogus component removal in file calendar backend
    - Bug 637916 - configure.ac with_nspr_includes test is incorrect
    - Bug #636334 - Birthdays&Anniversaries calendar skips local address books
    - Bug #420813 - Unnecessarily slow update/reopen of webcal calendars
  * debian/patches/199-git-skip-empty-cache-files-ee21a86.patch: backported
    patch to ignore empty mail cache files.
  * debian/patches/299-git-find_book_by_contact_crash_9b01440.patch: fix a
    potential crasher in find_book_by_contact; patch from upstream git master.
  * debian/patches/299-git-https_only_webdav_4913827.patch: webdav calendars
    should permit the use of the http method; patch from upstream git master.
  * debian/patches/299-git-maildir_expunge_e7201c8.patch: fix expunge in
    maildirs to work as expected; patch from upstream git master.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 19 Jan 2011 09:22:23 -0500

evolution-data-server (2.32.1-0ubuntu3) natty; urgency=low

  * debian/patches/03-gdata-0.7-port.patch: Fix FTBFS with new libgdata 0.7
    (port to gdata 0.7).
  * debian/patches/199-git-backport-2.32.1-to-b08a6a1.patch: backport patches
    from the upstream gnome-2-32 git tree up to commit b08a6a1:
    - Bug #633181 - Deadlock after moving some mails in maildir
    - Bug #634573 - Crash when importing ics file
    - Bug #635550 - e-calendar-factory leaks memory
    - Bug #635673 - Stack overflow when opening slow calendar
    - Bug #624420 - Crash camel_imapx_server_append_message
    - Bug #625048 - Fails to detect America/New York system timezone
    - bmo#6498 - Filters are not applied to imapx Inboxes
    - Do not store and generate local:/system URIs (LP: #689771)
    - Bug #634385 - Crash in smtp_connect
  * debian/patches/110-git-name-selector-fixes.patch: properly populate and
    retrieve contact categories in the name selector dialog's category combo
    box. (LP: #690178)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 15 Dec 2010 13:28:20 -0500

evolution-data-server (2.32.1-0ubuntu2) natty; urgency=low

  * Make libebook1.2-dev depend on libcamel1.2-dev, matching a new
    requirement in the pkg-config file.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 01 Dec 2010 11:18:57 +0000

evolution-data-server (2.32.1-0ubuntu1) natty; urgency=low

  [ Rodrigo Moya ]
  * Upstream release 2.32.1
    - Bug #634658 - Unread counts for vfolders never update
    - Bug #632692 - Thread by In-Reply-To, then first found reference
    - Bug #538716 - Do not set expiration on POP3 message cache
    - Bug #631804 - Aborts with pthread error in imapx_server_dispose()
    - Bug #634084 - ECal reports loaded state too early
    - Bug #632532 - Double free in imapx_job_done, imapx_command_step_fetch_done
    - Bug #631842 - Improve error reporting in some ECal/EBook functions
    - Bug #632030 - Crashed while Groupwise server is not responding
    - Bug #631953 - A possible double-free in google backend
    - Bug #632771 - Recurring calendar events set to recur forever do not
      display past first week
    - Bug #597567 - Crash in comp_subject()
    - Bug #631290 - Crash in vee_folder_synchronize_sync
    - Bug #631073 - Task update operation has some delay
    - Bug #558478 - Autocompletion inserts comma
    - Bug 632376 - Rewind in camel-disco-diary to fix a crash
    - Bug #534369 - New mail notifications for local Inbox don't work
    - Bug #608557 - CamelOfflineJournal can call fclose with NULL
    - Bug #347520 - Names containing a dot in address parsed incorrectly
    - Bug #630361 - Categories editing fixes
    - Bug #631122 - Change %-H to %k in Italian translation
    - Bug #616598 - AM/PM in Date header confuses parser
    - Bug #616596 - Disable debug prints from e-categories.c
    - Bug #615828 - Incorrectly set off-line state on CamelOfflineStore
    - Bug #616172 - Return NULL from imapx_find_commad_tag when not found
    - Bug #629507 - e_book_backend_cache_set_time doesn't rewrite old value
    - Bug #630321 - Disabling IMAPX account produces runtime warnings
    - Bug #628655 - imapx parser thread gerror memory leak
    - Bug #629752 - ldap doesn't work in offline
    - Bug #629908 - assertion failed: (E_IS_BOOK (book))
    - Bug #615274 - Encode proxy user/password in proxy URL
    - Bug #599741 - Cannot accept meeting request
    - Bug #630265 - Refetches unchanged 'On The Web' calendar
    - Fix memory leak recently introduced in imapx QRESYNC
    - Fix QRESYNC protocol violation (RH #648082)
    - Fix a build failure due to used CPPFLAGS

