=== debian/control ===
--- 
+++ 
@@ -15,8 +15,6 @@
 Standards-Version: 3.9.1
 Dm-Upload-Allowed: yes
 Homepage: http://www.gnome.org/projects/evolution/
-Vcs-Svn: svn://svn.debian.org/svn/pkg-evolution/unstable/evolution-data-server
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-evolution/unstable/evolution-data-server
 Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/evolution-data-server/ubuntu
 Build-Depends: debhelper (>= 7.2.3~),
                cdbs (>= 0.4.37),
@@ -30,11 +28,11 @@
                libdb-dev,
                libkrb5-dev,
                libldap2-dev,
-               libglib2.0-dev (>= 2.16.1),
+               libglib2.0-dev (>= 2.25.12),
                libxml2-dev,
                libgconf2-dev,
                libnss3-dev,
-               libgtk2.0-dev (>= 2.18.0),
+               libgtk2.0-dev (>= 2.24.0),
                libsoup2.4-dev,
                libgnome-keyring-dev (>= 2.20.1),
                gtk-doc-tools,
@@ -45,6 +43,7 @@
                libicu-dev,
                libdbus-glib-1-dev (>= 0.6),
                gperf,
+               libgdata-dev (>= 0.6.3), 
                gnome-pkg-tools
 
 Package: evolution-data-server
@@ -89,11 +88,12 @@
 Description: evolution database backend server with debugging symbols
  This package contains unstripped binaries used for debugging.
 
-Package: libedataserver1.2-13
-Section: libs
-Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
+Package: libedataserver1.2-14
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Replaces: libedataserver1.2-13 (<< 2.32)
 Description: Utility library for evolution data servers
  The data server, called "Evolution Data Server" is responsible for managing
  calendar and addressbook information.
@@ -103,7 +103,7 @@
 Package: libedataserver1.2-dev
 Section: libdevel
 Architecture: any
-Depends: libedataserver1.2-13 (= ${binary:Version}),
+Depends: libedataserver1.2-14 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends},
          libxml2-dev,
@@ -116,12 +116,13 @@
  .
  This package contains header files and static library for libedataserver1.2-13.
 
-Package: libcamel1.2-14
-Section: libs
-Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
-Breaks: evolution (<< 2.26)
+Package: libcamel1.2-19
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Breaks: evolution (<< 2.32)
+Replaces: libcamel1.2-14 (<< 2.32)
 Description: The Evolution MIME message handling library
  Camel is a generic messaging library. It supports the standard
  messaging system for receiving and sending messages. It is the
@@ -133,7 +134,7 @@
 Package: libcamel1.2-dev
 Section: libdevel
 Architecture: any
-Depends: libcamel1.2-14 (= ${binary:Version}),
+Depends: libcamel1.2-19 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
          libglib2.0-dev,
@@ -142,7 +143,7 @@
          libnss3-dev,
          libnspr4-dev
 Description: Development files for libcamel
- This package contains header files and static library for libcamel1.2-11
+ This package contains header files and static library for libcamel1.2-19
  .
  Camel is a generic messaging library. It supports the standard
  messaging system for receiving and sending messages. It is the
@@ -151,11 +152,12 @@
  Evolution is the integrated mail, calendar, task and address book
  distributed suite from Novell, Inc.
 
-Package: libebook1.2-9
-Section: libs
-Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
+Package: libebook1.2-10
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Replaces: libebook1.2-9 (<< 2.32)
 Description: Client library for evolution address books
  This package is a client library for evolution addressbooks.
  .
@@ -165,9 +167,10 @@
 Package: libebook1.2-dev
 Section: libdevel
 Architecture: any
-Depends: libebook1.2-9 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends},
+Depends: libebook1.2-10 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
+         libcamel1.2-dev,
          libedataserver1.2-dev,
          libdbus-glib-1-dev
 Description: Client library for evolution address books (development files)
@@ -178,12 +181,13 @@
  distributed suite from Novell, Inc.
  .
 
-Package: libedataserverui1.2-8
+Package: libedataserverui1.2-11
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          evolution-data-server-common (>= 2.27.0)
+Replaces: libedataserverui1.2-8 (<< 2.32)
 Description: GUI utility library for evolution data servers
  The data server, called "Evolution Data Server" is responsible for managing
  calendar and addressbook information.
@@ -193,7 +197,7 @@
 Package: libedataserverui1.2-dev
 Section: libdevel
 Architecture: any
-Depends: libedataserverui1.2-8 (= ${binary:Version}),
+Depends: libedataserverui1.2-11 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
          libgtk2.0-dev,
@@ -206,11 +210,12 @@
  This package contains header files and static library for
  libedataserverui1.2-8.
 
-Package: libedata-book1.2-2
-Section: libs
-Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
+Package: libedata-book1.2-8
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Replaces: libedata-book1.2-2 (<< 2.32)
 Description: Backend library for evolution address books
  Evolution is the integrated mail, calendar, task and address book
  distributed suite from Novell, Inc.
@@ -220,7 +225,7 @@
 Package: libedata-book1.2-dev
 Section: libdevel
 Architecture: any
-Depends: libedata-book1.2-2 (= ${binary:Version}),
+Depends: libedata-book1.2-8 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
          libedataserver1.2-dev,
@@ -232,11 +237,12 @@
  .
  This package contains header files and static library for libedata-book1.2-2
 
-Package: libecal1.2-7
-Section: libs
-Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
+Package: libecal1.2-8
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Replaces: libecal1.2-7 (<< 2.32)
 Description: Client library for evolution calendars
  Evolution is the integrated mail, calendar, task and address book
  distributed suite from Novell, Inc.
@@ -246,7 +252,7 @@
 Package: libecal1.2-dev
 Section: libdevel
 Architecture: any
-Depends: libecal1.2-7 (= ${binary:Version}),
+Depends: libecal1.2-8 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
          libical-dev (>= 0.43),
@@ -258,11 +264,12 @@
  .
  This package contains header files and static library for libecal1.2-7.
 
-Package: libedata-cal1.2-7
-Section: libs
-Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
+Package: libedata-cal1.2-10
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Replaces: libedata-cal1.2-7 (<< 2.32)
 Description: Backend library for evolution calendars
  Evolution is the integrated mail, calendar, task and address book
  distributed suite from Novell, Inc.
@@ -272,7 +279,7 @@
 Package: libedata-cal1.2-dev
 Section: libdevel
 Architecture: any
-Depends: libedata-cal1.2-7 (= ${binary:Version}),
+Depends: libedata-cal1.2-10 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
          libdbus-glib-1-dev,
@@ -313,40 +320,31 @@
  Evolution is the integrated mail, calendar, task and address book
  distributed suite from Novell, Inc.
 
-Package: libgdata1.2-1
-Section: libs
-Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
-Description: Client library for accessing Google POA through SOAP interface
- This package is a client library to access the Google Data APIs through a 
- SOAP interface.
- .
- Evolution is the integrated mail, calendar, task and address book
- distributed suite from Novell, Inc.
-
-Package: libgdata1.2-dev
-Section: libdevel
-Architecture: any
-Depends: libgdata1.2-1 (= ${binary:Version}),
-         ${misc:Depends},
-         libsoup2.4-dev
-Description: Client library for accessing Google POA (development files)
+Package: libebackend1.2-0
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Description: Utility library for evolution data servers
+ This package is a utility library for evolution-data-servers providing
+ backend functions to access data.
+ .
+ Evolution is the integrated mail, calendar, task and address book
+ distributed suite from Novell, Inc.
+
+Package: libebackend1.2-dev
+Section: libdevel
+Architecture: any
+Depends: libebackend1.2-0 (= ${binary:Version}),
+         ${misc:Depends},
+         libglib2.0-dev
+Description: Utility library for evolution data servers (development files)
  This package contains header files and static library for
- libgdata1.2-1.
- .
- libgdata is a client library to access the Google Data APIs through a
- SOAP interface.
- .
- Evolution is the integrated mail, calendar, task and address book
- distributed suite from Novell, Inc.
-
-Package: libgdata-google1.2-1
-Section: libs
-Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
-Description: Client library for accessing Google POA through SOAP interface
- This package is a client library to access Google services through a SOAP
- interface.
- .
+ libebackend1.2-1.
+ .
+ libebackend is a utility library for evolution-data-server providing
+ backend function to access data.
+ .
+ Evolution is the integrated mail, calendar, task and address book
+ distributed suite from Novell, Inc.
+
